#include <bits/stdc++.h>
using namespace std;
string s;
int bra, brb, t;
int main(){
     if(abs(bra-brb)>1)cout<<"nemoguce"<<endl;
       else if(bra==brb){
          while(bra--)cout<<s;
          cout<<endl;
       }
          else if(bra>brb){
            while(brb--)cout<<s;
            cout<<s[0]<<endl;
          }
          else if(brb>bra){
            cout<<s[1];
            while(bra--)cout<<s;
          }
return 0;}